<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Materialcategories_model extends CI_Model {

	public function __construct() {
		parent::__construct();
	}

  function getmaterialcategories()
{
$page = $this->input->post('page');
$limit = $this->input->post('rows'); // get how many rows we want to have into the grid
$sidx = $this->input->post('sidx'); // get index row - i.e. user click to sort
$sord = $this->input->post('sord'); // get the direction

//Default values
if (!$sidx) $sidx = 'id';
if (!$sord) $sord = 'asc';

if (!$page) $page = 1;
if (!$limit) $limit = 25;

//Total Returned Rows Count
$this->db->from('CATEGORIES');
$this->db->where('PARENTID = "-1"');
$count = $this->db->count_all_results();

//Total Pages
if( $count > 0 && $limit > 0) {
$total_pages = ceil($count/$limit);
} else {
$total_pages = 0;
}

//Check requested page
if ($page > $total_pages) $page=$total_pages;

//Set start record number
$start = $limit*$page - $limit;

//Format data for jqGrid output
$data['page'] = "".$page."";
$data['total'] = "".$total_pages."";
$data['records'] = "".$count."";


//Fetch data
$this->db->select('ID, NAME');
$this->db->from('CATEGORIES');
$this->db->where('PARENTID = "-1"');
$this->db->order_by($sidx, $sord);
$this->db->limit($limit, $start);
$rows = $this->db->get()->result_array();

//Format data
$i=0;
foreach($rows as $row){
$data['rows'][$i]['id']=$i+1;
$data['rows'][$i]['cell']=array($row['ID'],$row['NAME']);
$i++;
}
return json_encode($data);
}

	function addmaterialcategory($data) {
		return ($this->db->insert('CATEGORIES', $data));
	}
        function getmaterialcategoriescombo() {
            $this->db->from('CATEGORIES');
$this->db->select('ID, NAME');
$this->db->where('PARENTID = "-1"');

		return $this->db->get()->result();
	}
        function getmatcategorybyid($id) {
		$this->db->where('ID', $id);
		return $this->db->get('CATEGORIES')->result();
	}
        function updatematerialategory($data, $id) {
		$this->db->where('ID', $id);
		return ($this->db->update('CATEGORIES', $data)) ? true : false;
	}
        function deletematerialcategory($id) {
		return ($this->db->delete('CATEGORIES', array('ID'=>$id))) ? true : false;
	}
}